npm install
mkdir /var/log/node_apps

Add the following to outgoing config of dialplan, usually loacted at: /usr/local/freeswitch/conf/dialplan/default
<extension name="sampleserver">
    <condition field="destination_number" expression="^9999999$">
	<action application="set" data="effective_caller_id_number=9999999"/>
        <action application="socket" data="127.0.0.1:8085 async full"/>
    </condition>
</extension>
Name the file: 000_sampleServer.xml
Goto fs_cli and reloadxml.

Register the internal user 1200, which is provided by freeswitch by default.
If the user doesnot exist, add the following to: /usr/local/freeswitch/conf/directory/default:
<include>
  <user id="1200">
    <params>
      <param name="password" value="4000"/>
      <param name="vm-password" value="1200"/>
    </params>
    <variables>
      <variable name="toll_allow" value="domestic,international,local"/>
      <variable name="accountcode" value="1200"/>
      <variable name="user_context" value="default"/>
      <variable name="effective_caller_id_name" value="Extension 1200"/>
      <variable name="effective_caller_id_number" value="1200"/>
      <variable name="outbound_caller_id_name" value="$${outbound_caller_name}"/>
      <variable name="outbound_caller_id_number" value="$${outbound_caller_id}"/>
      <variable name="callgroup" value="techsupport"/>
    </variables>
  </user>
</include>
and save the file as 1200.xml.
Goto fs_cli and reloadxml, then register user 1200.

Ensure that mongodb and redis are running on default ports.
Ensure that port 8085 is not being used.

Run eslServer.js using command: nodejs eslServer.js(LTS 16.04+) or node eslServer.js, depending on ubuntu version.

Dial 9999999 using any softphone using any registered freeswitch user.
The call will be patched to user 1200.
Check logs if issues arise.
